// include the basic windows header file
#include "stdafx.h"

#include "GameWindowClass.h"
#include "GameWindow.h"
#include "MessageHandler.h"
#include "EngineCore.h"

using namespace Zeta::GameEngine;
using namespace Zeta::Windows;

// the entry point for any Windows program
int WINAPI _tWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPTSTR lpCmdLine, int nCmdShow)
{
	GameWindowClass windowClass(hInstance);
	GameWindow window(&windowClass, L"The Game");

	EngineCore zetaEngine(window.getWindow());

	MessageHandler mainLoop;

	window.Show(nCmdShow);
	mainLoop.StartPeek(&zetaEngine);
}
