#include "StdAfx.h"
#include "GameWindowClass.h"

namespace Zeta
{
	namespace GameEngine
	{
		GameWindowClass::GameWindowClass(HINSTANCE hInstance)
		{
			// fill in the struct with the needed information
			windowClass.cbSize = sizeof(WNDCLASSEX);
			windowClass.style = CS_HREDRAW | CS_VREDRAW;
			windowClass.lpfnWndProc = Windows::Window::WindowProcInit;
			windowClass.hInstance = hInstance;
			windowClass.hCursor = LoadCursor(NULL, IDC_ARROW);
		#ifndef FULLSCREEN
			windowClass.hbrBackground = (HBRUSH)COLOR_WINDOW;
		#endif
			windowClass.lpszClassName = L"GameWindowClass";

			Register();
		}

		GameWindowClass::~GameWindowClass(void)
		{
		}
	}
}