﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace Labyrinth_Shooter
{
    abstract class LogicalEntity
    {
        GameScreen _owner;
        public GameScreen Owner
        {
            get { return _owner; }
        }

        protected bool _update = true;
        public bool isUpdate
        {
            get { return _update; }
        }

        public LogicalEntity()
        { 
        }

        public virtual void Init(GameScreen owner)
        {
            _owner = owner;
        }

        public abstract void Update(GameTime gameTime);
    }
}
