#pragma once

#include "PeekHandler.h"

using namespace Zeta;

namespace Zeta
{
	namespace GameEngine
	{
		class EngineCore : public Windows::PeekHandler
		{
		public:
			EngineCore(HWND hWnd);
			~EngineCore(void);

			BOOL Render(void);    // renders a single frame
			virtual BOOL Process(void);

		private:
			LPDIRECT3D9 D3DInterface;    // the pointer to our Direct3D interface
			LPDIRECT3DDEVICE9 D3DDevice;    // the pointer to the device class

		};
	}
}

