#pragma once

#include "stdafx.h"

#include "WindowClass.h"

namespace Zeta
{
	namespace Windows
	{
		class Window
		{
		public:
			Window();
			~Window(void);

			BOOL Show(int nCmdShow);
			HWND getWindow(void);

			virtual LRESULT CALLBACK WindowProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam) = 0;
			static LRESULT CALLBACK WindowProcInit(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
			static LRESULT CALLBACK WindowProcSwitch(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
		protected:
			// the handle for the window, filled by a function
			HWND hWnd;
		};
	}
}
