#include "StdAfx.h"
#include "WindowClass.h"

namespace Zeta
{
	namespace Windows
	{
		WindowClass::WindowClass(void)
		{
			// clear out the window class for use
			ZeroMemory(&windowClass, sizeof(WNDCLASSEX));
		}

		WindowClass::~WindowClass(void)
		{
		}

		BOOL WindowClass::Register(void)
		{
			// register the window class
			if((registerAtom = RegisterClassEx(&windowClass)) == 0)
			{
				//Error
				return FALSE;
			}else
			{
				return TRUE;
			}
		}

		LPCTSTR WindowClass::getClassName(void)
		{
			return windowClass.lpszClassName;
		}
		HINSTANCE WindowClass::getInstance(void)
		{
			return windowClass.hInstance;
		}
	}
}